%define modn   sshfs
%define modv   2.2


Summary:       A SSH filesystem using FUSE
Name:          fuse-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL
Group:         Applications/System
Source0:       http://dl.sourceforge.net/sourceforge/fuse/%{modn}-fuse-%{modv}.tar.gz
URL:           http://fuse.sourceforge.net/%{modn}.html
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Miklos Szeredi <miklos@szeredi.hu>
Provides:      fuse-mod(%{modn}) = %{modv}
Requires:      fuse >= 2.2 openssh-clients
BuildRequires: libfuse-devel >= 2.2 glib2-devel
BuildRequires: openssh-clients pkgconfig


%description
This package provides a filesystem client based on the SSH File Transfer
Protocol. Since most SSH servers already support this protocol it is very
easy to set up: i.e. on the server side there's nothing to do. On client
side mounting the filesystem is as easy as logging into the server with
ssh.


%prep
%setup -q -n %{modn}-fuse-%{modv}


%build
%configure
%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog FAQ.txt INSTALL NEWS README
%{_bindir}/%{modn}
%{_libdir}/sshnodelay.so
%{_mandir}/man1/%{modn}.1*


%changelog
* Tue Oct 28 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.2-1
- New version (2.2)

* Mon Jul 21 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.1-1
- New version (2.1)

* Sat Jan 19 2008 peter.pramberger@member.fsf.org 1.9-3
- created
